Bug 1777226 - rpm: Backport of caret versioning broke mock bootstrap chroots
Summary: rpm: Backport of caret versioning broke mock bootstrap chroots
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rpm
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-27 08:27 UTC by Florian Weimer
Modified: 2019-11-27 11:05 UTC (History)
5 users (show)

Fixed In Version: rpm-4.14.2-35.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 09:09:11 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1654901 'low' 'ON_QA' 'RFE: rpm should support upstream caret versioning' 2019-12-02 10:58:54 UTC

Internal Links: 1654901

Description Florian Weimer 2019-11-27 08:27:34 UTC
The backports for bug 1654901 include this patch:

| From: Igor Gnatenko <i.gnatenko.brain@gmail.com>
| Date: Wed, 21 Nov 2018 14:59:19 +0100
| Subject: [PATCH 1/3] build: make haveRichDep aware of other fields allowed to
|  have them
| 
| Recommends/Suggests/Supplements/Enhances can also have rich deps,
| so we need to extend the check. Or remove it.

This causes glibc-langpack-* packages to have rpmlib(RichDependencies) <= 4.12.0-1 dependencies, which in turn causes mock to to bail out during the bootstrap chroot setup:

Start(bootstrap): cleaning dnf metadata
Finish(bootstrap): cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.21
INFO: Mock Version: 1.4.21
Start(bootstrap): yum install
Failed to set locale, defaulting to C
[…]
ERROR You need to update rpm to handle:
rpmlib(RichDependencies) <= 4.12.0-1 is needed by glibc-langpack-zu-2.28-97.el8.x86_64

Comment 2 Miroslav Suchý 2019-11-27 08:55:12 UTC
You should be able to use Mock using
  https://github.com/rpm-software-management/mock/wiki/Feature-container-for-bootstrap

However, IMO the use of RichDeps in glibc (or anything in @buildsys group) would be nice to postpone till death of RHEL7.

Comment 3 Panu Matilainen 2019-11-27 08:56:16 UTC
Folks, calm down. That patch was mistakenly included in the backport. I've reverted it and building now.

Comment 4 Panu Matilainen 2019-11-27 09:09:11 UTC
The problematic patch reverted, and thus issue fixed, in rpm-4.14.2-35.el8.

Thanks Florian for reporting!


Note You need to log in before you can comment on or make changes to this bug.